Page MenuHomePhabricator

1.34.0-wmf.15 deployment blockers
Closed, ResolvedPublicRelease

Details

Release Version
1.34.0-wmf.15
Release Date
1563753600

2019 week 30 1.34-wmf.15 Changes wmf/1.34.0-wmf.15

This MediaWiki Train Deployment is scheduled for the week of Monday, July 22nd:

Monday July 22ndTuesday, July 23rdWednesday, July 24thThursday, July 25thFriday
SWAT deployments only.Branch wmf.15 and deploy to Group 0 Wikis.Deploy wmf.15 to Group 1 Wikis.Deploy wmf.15 to all Wikis.No deployments on fridays

How this works

  • Any serious bugs affecting wmf.15 should be added as subtasks beneath this one.
  • Any open subtask(s) block the train from moving forward.This means no further deployments until the blockers are resolved.
  • If something is serious enough to warrant a rollback then you should bring it to the attention of deployers on the #wikimedia-operations IRC channel.
  • For more info about deployment blockers, see Holding the train.

Related Links

Other Deployments

Previous: 1.34.0-wmf.14
Next: 1.34.0-wmf.16

Event Timeline

mmodell created this task.Apr 11 2019, 6:15 PM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptApr 11 2019, 6:15 PM
mmodell triaged this task as Normal priority.Apr 11 2019, 7:11 PM
Krinkle added a subtask: Restricted Task.Jul 22 2019, 6:51 PM
In T228462#5355073, @Anomie wrote:
In T228462#5355028, @Krinkle wrote:

The train has gone out again a few hours ago. Has the issue come back? Should we rollback again?

It does not appear to have returned, revisions in revision missing from cu_changes are within the historical ranges of <1% per hour over the past few hours.

So T220740 is no more a blocker.

hashar removed a subtask: Restricted Task.Jul 23 2019, 10:25 AM
greg closed this task as Resolved.Jul 26 2019, 12:11 AM
greg moved this task from Doing to Completed on the Release-Engineering-Team-TODO (201907) board.
greg added a subscriber: greg.

Calling done.